cutlass::NumericConverter< float, half_t, Round > Struct Template Reference

Partial specialization for float <= half_t.

`#include <numeric_conversion.h>`

## Public Types

using | result_type = float
using | source_type = half_t

## Public Member Functions

CUTLASS_HOST_DEVICE result_type | operator() (source_type const &s)

## Static Public Member Functions

static CUTLASS_HOST_DEVICE result_type | convert (source_type const &s)

## Static Public Attributes

static FloatRoundStyle const | round_style = Round

## Member Typedef Documentation

template<FloatRoundStyle Round>

using cutlass::NumericConverter< float, half_t, Round >::result_type = float

template<FloatRoundStyle Round>

using cutlass::NumericConverter< float, half_t, Round >::source_type = half_t

## Member Function Documentation

template<FloatRoundStyle Round>

static CUTLASS_HOST_DEVICE result_type cutlass::NumericConverter< float, half_t, Round >::convert | ( | source_type const & | s | ) |

inlinestatic

template<FloatRoundStyle Round>

CUTLASS_HOST_DEVICE result_type cutlass::NumericConverter< float, half_t, Round >::operator() | ( | source_type const & | s | ) |

inline

## Member Data Documentation

template<FloatRoundStyle Round>

FloatRoundStyle const cutlass::NumericConverter< float, half_t, Round >::round_style = Round

static

The documentation for this struct was generated from the following file:

- numeric_conversion.h